@font-face {
  font-family: "MonoCondensed";
  src: local("DejaVu Sans Mono Condensed"), url("DejaVuSansMonoCondensed.otf") format("opentype");
}

@font-face {
  font-family: "Handwriting";
  src: local("MarkingPen"), url("http://horstmann.com/MySlidy/MarkingPen.otf") format("opentype");
}

@import url(http://fonts.googleapis.com/css?family=Cabin:400,700,400italic,700italic);

.license { 
   font-size: 0.7em;
   position:absolute;
   bottom: 3em;
   height: 3em;
}

@media print {
   h1, div.slide { 
      page-break-before: always; page-break-inside: avoid; 
   }
}

code, pre { 
  font-family: "MonoCondensed", monospace, Courier;
  color: #444;
}

code { 
  font-size: 1.05em;
}

body {
   font-family: sans-serif; /* so that entities come out ok */
}

samp, .pseudo, .pseudocode, .hand {
  font-style: normal;
  font-family: "Handwriting", "Comic Sans MS", serif
}


h1 { 
  border-bottom-style: double;
  border-bottom-color: #00008B /* darkblue */;
  border-bottom-width: thick; 
  clear: both; 
}

h1, h2, h3, h4 {
  font-family: "Cabin", sans-serif;
  font-weight: bold;
}

pre .comment, pre cite { 
  font-family: roman;
  font-style: normal;
  font-weight: normal;
  color: black;
}

.var, var { 
  font-family: roman;
  font-style: italic;
  font-weight: normal;
  color: black;
}

pre {  
  background-color: #FFFEED;
}

blockquote { 
  background-color: #EDFEFF;
}

pre, blockquote { 
  clear: none;
  border-color: #ccc;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  padding: 0.5em;
  border-style: solid;
  border-width: 1px;
}


p.sideimage {
  width: 30%;
  margin-right: 1em;
  float: left;
}

p.halfimage {
  width: 40%;
  margin-right: 1em;
  float: left;
}

p.horizhalfimage {
  text-align: center;
  height: 40%;
}

p.fullimage { 
  text-align: center;
  width: 90%;
}

p.sideimage img, p.halfimage img {
  width: 90%  !important; /* 90% is hack for Amaya */
  height: auto !important; 
}

p.fullimage img, p.horizhalfimage img {
  height: 100%  !important; 
  width: auto !important; 
}

@media print { 
  p.fullimage {
    width: 25em;
  } 
}

ul li { margin-top: 0.25em; margin-bottom: 0.25em; }

li ul { margin-left: 2em; font-size: 0.9em; }

li ul li { color: #444; font-style: normal }

@media print {
   ul {
      font-size: 1.2em;
   }
}

@page {
   size: 8in 6in; 
   margin: 0.25in;
}

/*
code a { 
   font-family: monospace;
   font-size: 1em;
}
*/

a {
   text-decoration: underline;   
}

a:visited { color: purple }

.strike {
   text-decoration: line-through;
}

.poll li {
  list-style-type: decimal;
}

pre strong, code strong { 
  color: red;
}

/* A td preceded by a td */

table.stack tr.alt > td + td { 
  background: blue;
}

table.stack tr > td + td { 
  text-align: left;
  background: lightsteelblue;
}

table.stack tr > td { 
  text-align: right;
}

.lower-alpha > li { 
  list-style-type: lower-alpha;
}

.highlight { 
  background: lightsteelblue;
}
